#!/usr/bin/env bash

set -euo pipefail

NOW="$(date --utc --iso-8601=minutes)"

git fetch origin master
git checkout updated-inputs
git merge -s ort -X theirs origin/master -m "Update from master ${NOW}"
nix flake update
git add flake.lock
git commit -m "Flake update ${NOW}" || true
git push origin updated-inputs
